# scCausalVI - a causal variation inference model for scRNA-seq

## Introduction

**scCausalVI** is a causality-aware model for analyzing single-cell RNA sequencing data, designed to disentangle treatment effects from intrinsic cellular heterogeneity. Using a deep generative framework, scCausalVI enables precise, single-cell-level inference of gene expression responses to experimental treatments by modeling the causal dependencies between treatment effects and cellular states. Key features include support for clustering, treatment response analysis, and counterfactual inference, allowing users to explore cellular variability and identify treatment-responsive subpopulations.

## Installation

There are several alternative options to install scCausalVI:

1. Install the latest version of scCausalVI via pip:

   ```bash
   pip install scCausalVI
   ```

   

2. Or install the development version via pip:

   ```bash
   pip install git+https://github.com/ShaokunAn/scCausalVI.git
   ```

## Contact

Feel free to contact us by [mail](shan12@bwh.harvard.edu). If you find a bug, please use the [issue tracker](https://github.com/ShaokunAn/scCausalVI/issues). 

